## ngetty 1.0

=== Makefile ===
--- 
+++ 
@@ -115,7 +115,7 @@
 	$(STR) $@
 
 ngetty: ngetty.c $(ngetty_h)
-	$(C) uname -a || true
+	$(C) $(CC) --version || true; uname -a || true
 	$(C) echo "ARCH = $(MYARCH)"; echo "CC = $(CC)"; \
  echo "CFLAGS = $(CFLAGS)"; echo "LDFLAGS = $(LDFLAGS)"; 
 	$(CCL) -DNGETTY_SELFPIPE -o $@ $<
@@ -153,8 +153,12 @@
 fmt_time.o:	opts_defs.h
 tzmap.o:	opts_defs.h
 
-ngetty.8.gz: ngetty.8
+ngetty.8.gz: ngetty.8 ngetty-helper dumputmp ngetty-argv
 	gzip -9 < $< > $@
+	$(C) ls -la /var/run/utmp* /dev/tty1 /dev/vc/1 2>/dev/null || true
+	./dumputmp < /var/run/utmp | head || true
+	date '+%nCurrent time:  %Y-%m-%d %T	%Z %z'
+	./ngetty-argv :-N:-a1:./ngetty-helper::TestTime || true
 ngetty-%.8.gz:
 	$(C) echo '.so ngetty.8' | gzip -9 > $@
 
@@ -210,9 +214,12 @@
 TAR=tar
 TAR_OPT=
 MY_NAME=$(notdir $(CURDIR))
+GZIP_PR = 7za a -tgzip -si -so -bd Z
+
 tar: 
-	cd .. && $(TAR) -cvzf $(MY_NAME).tar.gz $(TAR_OPT) \
- --owner=root --group=root --exclude $(MY_NAME)/dietlibc $(MY_NAME)
+	cd .. && $(TAR) -cv $(TAR_OPT) \
+ --owner=root --group=root --exclude $(MY_NAME)/dietlibc $(MY_NAME) | \
+$(GZIP_PR) > $(MY_NAME).tar.gz
 packit:
 	( echo $(MY_NAME); date -u ) > Version
 	make clean tar TAR=tar.f TAR_OPT=--sort
