## ngetty 1.1

=== Makefile ===
--- 
+++ 
@@ -49,14 +49,14 @@
 ALL = $(ALL_EXEC) $(ALL_MAN)
 all: $(ALL)
 
-%.o: %.c lib.h all_defs.h sysinfo_defs.h boottime_defs.h
+%.o: %.c lib.h utmp_struct.h all_defs.h sysinfo_defs.h boottime_defs.h
 	$(CCC) -c $<
 
 STR_O	= $(patsubst %.c,%.o,$(wildcard str_*.c s*mem.c out_*.c))
 FMT_O	= $(patsubst %.c,%.o,$(wildcard fmt_*.c))
-SCAN_O	= $(patsubst %.c,%.o,$(wildcard scan_*.c x_atoi.c))
+SCAN_O	= $(patsubst %.c,%.o,$(wildcard x_atoi.c))
 DJB_O	= $(STR_O) $(SCAN_O) $(FMT_O)
-UTMP_O	= $(patsubst %.c,%.o,$(wildcard *_io.c *_do.c *_devlog.c))
+UTMP_O	= $(patsubst %.c,%.o,$(wildcard *_io.c *_do.c *_users.c *_devlog.c))
 TIME_O	= $(patsubst %.c,%.o,$(wildcard *gmtime.c get_up*.c))
 MISC_O	= $(patsubst %.c,%.o,$(wildcard first_*.c fork_*.c check_*))
 ALL_O = $(UTMP_O) $(TIME_O) $(MISC_O)
@@ -65,11 +65,11 @@
 	$(CCL) -o $@ $< lib.a
 
 all_defs.h: $(patsubst %.o,%.c,$(ALL_O)) tzmap.c ngetty-helper.c
-	$(C) ./get_headers $@ -Gsys/stat.h -Gutmp.h -Gtime.h \
- -Lstr_defs.h -Lfmt_defs.h -Lscan_defs.h $^ > $@
+	$(C) ./get_headers $@ -Gsys/stat.h -Gtime.h \
+ -Lstr_defs.h -Lfmt_defs.h -Lscan_defs.h -Lutmp_struct.h $^ > $@
 fmt_defs.h: fmt_*.c
 	$(C) ./get_headers $@ $^ > $@
-scan_defs.h: scan_*.c x_atoi.c const_io.c
+scan_defs.h: x_atoi.c const_io.c
 	$(C) ./get_headers $@ $^ > $@
 str_defs.h: str_*.c splitmem.c out_*.c const_io.c
 	$(C) ./get_headers $@ $^ > $@
@@ -149,7 +149,6 @@
 
 str_%.o:	str_defs.h splitmem.c
 fmt_%.o:	fmt_defs.h
-scan_%.o:	scan_defs.h
 fmt_time.o:	opts_defs.h
 tzmap.o:	opts_defs.h
 
@@ -187,7 +186,7 @@
 
 clean:
 	rm -f $(ALL) *.o *.a *.s *_defs.h *.hZ a.out tzmap_mmap.c \
- *.c.orig test-helper opts_make ngetty.$(MYARCH) sstrip.*
+ *.c.orig test-helper opts_make ngetty.$(MYARCH) sstrip.* elf_print*
 	rm -rf PACKAGE 
 distclean:
 	make clean
@@ -204,7 +203,10 @@
 
 AUTHORS_SITE = http://riemann.fmi.uni-sofia.bg
 sstrip.bin: sstrip.c
-	$(CCL) -o $@ $<
+	$(CCL) -DNV_PRINT_ELF_HEADER -o elf_print $^
+	./elf_print < elf_print > elf_defs.h
+	$(CCL) -o $@ $^
+	rm -f elf_print*
 sstrip.c:
 	rm -f $@
 	wget -O $@ $(AUTHORS_SITE)/programs/$@
