=== debian/control ===
Source: ngetty
Section: comm
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: dietlibc-dev (>= 0.34~cvs20160209.1)
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/ngetty
Vcs-Git: https://salsa.debian.org/debian/ngetty.git

Package: ngetty
Architecture: any
Depends: lsb-base (>= 3.0-6), ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${ngetty:Built-Using}
Description: getty replacement - one single daemon for all consoles
 Ngetty is a daemon that starts login sessions on virtual console
 terminals, on demand.  It is a good replacement for all those getty
 processes started from init that, most of the time, are only taking
 up memory.  Since it is compiled statically with dietlibc, the ngetty
 binary size is only about 2k and uses considerably less memory than a
 usual getty implementations.
