=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all$

%:
	dh $@

override_dh_auto_build:
	@echo 'blhc: ignore-line-regexp: .*diet\ -Os\ gcc\ -W.*'
	$(MAKE) CC='diet -Os gcc -W'

override_dh_gencontrol:
	echo >> debian/ngetty.substvars "ngetty:Built-Using=$$(dpkg-query -W -f '$${source:Package} (= $${source:Version})' dietlibc-dev)"
	dh_gencontrol
