=== debian/tests/control ===
Test-Command: ngetty-helper --version | grep version
Restrictions: needs-root, superficial

Test-Command: xvfb-run -a ngetty &
Depends: @, xauth, xvfb
Restrictions: needs-root, superficial
